Skip to main content
GET
Get S2S Time Status

S2S 시간 상태 가져오기

청구 사용자의 현재 S2S(Speech-to-Speech) 시간 상태를 검색합니다.

엔드포인트

설명

남은 시간, 총 월별 한도, 사용 시간, 갱신 정보를 포함하여 청구 사용자의 현재 S2S(Speech-to-Speech) 시간 상태를 검색합니다.

S2S 시간 할당량

  • 할당량은 사용자의 라이선스 등급을 기준으로 합니다.
  • 라이선스 할당일을 기준으로 매월 시간이 재설정됩니다.
  • 갱신할 수 없는 평가판 라이선스는 자동으로 재설정되지 않습니다.

인증

필수: API 키

쿼리 매개변수

요청 예시

자바스크립트/Node.js

파이썬

응답

성공 응답 (200)

응답 필드

오류 응답

400 잘못된 요청

401 승인되지 않음

404 찾을 수 없음

500 내부 서버 오류

메모

  • S2S 세션을 시작하기 전에 이 엔드포인트를 확인하여 충분한 시간을 사용할 수 있는지 확인하세요.
  • user_id 매개변수를 사용하면 다른 사용자의 상태를 확인할 수 있습니다. (기본값은 API 키 소유자)
  • 시간 할당량은 사용자의 라이선스 등급을 기준으로 합니다.
  • 갱신할 수 없는 평가판 라이센스에는 non_renewable: truenext_renewal_date: null이 있습니다.

인증

Authorization
string
header
필수

API key authentication using Bearer token format. Example: Authorization: Bearer sk-your-api-key-here

쿼리 매개변수

user_id
string

Optional user ID to check status for (defaults to API key owner)

예시:

"60a7c8f5e8b4f5001f7a8c23"

응답

S2S time status

success
boolean
예시:

true

remaining_minutes
number

Remaining S2S time in minutes

예시:

38.2896

total_minutes
number

Total monthly S2S time limit

예시:

45

used_minutes
number

Used S2S time this month

예시:

6.7104

has_time_remaining
boolean

Whether user has any remaining S2S time

예시:

true

next_renewal_date
string<date-time>

When the S2S time quota will reset (null for non-renewable licenses)

예시:

"2025-12-01T12:55:35.721Z"

non_renewable
boolean

Whether this is a non-renewable trial license

예시:

false

request_id
string

Request ID for tracking

예시:

"a8c307b4-c0c9-4b30-98db-5aced06c1cfe"